# Uses of Enum Class
javafx.stage.PopupWindow.AnchorLocation

Packages that use PopupWindow.AnchorLocation
Package
Description
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of PopupWindow.AnchorLocation in javafx.stage

Methods in javafx.stage that return PopupWindow.AnchorLocation
Modifier and Type
Method
Description
`final PopupWindow.AnchorLocation`
PopupWindow.`getAnchorLocation()`
Gets the value of the `anchorLocation` property.
`static PopupWindow.AnchorLocation`
PopupWindow.AnchorLocation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PopupWindow.AnchorLocation[]`
PopupWindow.AnchorLocation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.stage that return types with arguments of type PopupWindow.AnchorLocation
Modifier and Type
Method
Description
`final ObjectProperty<PopupWindow.AnchorLocation>`
PopupWindow.`anchorLocationProperty()`
Specifies the popup anchor point which is used in popup positioning.
Methods in javafx.stage with parameters of type PopupWindow.AnchorLocation
Modifier and Type
Method
Description
`final void`
PopupWindow.`setAnchorLocation(PopupWindow.AnchorLocation value)`
Sets the value of the `anchorLocation` property.